<?php

namespace App\Libraries;

abstract class CommonLibrary
{
    private $_libraryDatas = [];
    protected function __construct()
    {
    }
    final public function __get($name)
    {
        if (!array_key_exists($name, $this->_libraryDatas)) {
            return null;
        }
        return $this->_libraryDatas[$name];
    }

    final public function __set($name, $value): void
    {
        $this->_libraryDatas[$name] = $value;
    }
}
